#include <nostub.h> // include file for anti-kernel extremist organizations
#include <all.h> // include file for everything else
#define Xmax 239 // width of window
#define Ymax 103 // height of window
int _ti92plus; // produce .9XZ file

int _main() { // main function
  void *memareaI, *memareaII; // memory addresses
  int i, y; // loop vars
  cmd_dispg(); // disp graph-draw
  for ( y = 1; y <= Ymax; y++ ) {
    DrawLine(0, y+17, Xmax-1, y+17, A_XOR); // draw lines
  }

  memareaI = HeapDeref(FirstWindow->DupScr)+4; // original mem
  memareaII = (void *)0x4E1C; // destination mem
  for ( i = 1; i <= Ymax; i++ ) {
    memcpy(memareaI, memareaII, 30); // copy mem (one line) to draw screen
    memareaI += 30; // increment lcd
    memareaII += 30; // increment mem
  }

  return 0;	// exit
}